<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once "../conexion/conectar.php";

$key_buscar = $_REQUEST['key_buscar'];

$conexion = new CONDB();
$conexion->conectar();

$result = mysqli_query($conexion->CONEXION,"select distinct rfcemisor,nombreemi from recibedoce where nombreemi like '%$key_buscar%' or rfcemisor like '%$key_buscar%' union select rfc as rfcemisor,nombre as nombreemi from receptor
where rfc like '%$key_buscar%' or nombre like '%$key_buscar%'");

?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
		/*$j_3('#formProveedor').ajaxForm(function(data) {
						$j_3('#result').html(data);
						$j_3('#loading').hide();
		});*/
		
		/*$j_6('#form_rfcs').submit(function() {
			
			$j_6('#loading').show();
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });*/
	
	
	
	$j_6('.submit_rfc').click(function() {
		
		var s = $j_6(this).is(':checked');//$j_6('#checkRFC_'+$j_6(this).val()+' :checkbox:checked').length > 0;
		
        $j_6.post("formularios/guardar/guardaReferenciaProv_uno.php",{rfc: $j_6(this).val(),check: s},function(data){
			
		});
		
    });
	
	$j_6('.add_user').click(function() {
		
		var arr = $j_6(this).attr('id').split("_");
		var s = $j_6('#checkRFC_'+arr[2]).is(':checked');
		if(s){
			document.getElementById('add_user_'+arr[2]).src="Imagenes/loading.gif";
			var rfc = arr[2];
			var correo = $j_6("#correo_"+rfc).val();
			if(correo == ""){
				if(confirm("El correo esta vacio. ¿Desea continuar?\nSe generara el usuario pero no se le notificara el acceso.")){
					$j_6.post("formularios/guardar/generaUsuario.php",{rfc: rfc,correo: correo},function(data){
						$j_6("#resultados").html(data);
					});
				}else{
					document.getElementById('add_user_'+arr[2]).src="Imagenes/addUser.png";
				}
			}else{
				$j_6.post("formularios/guardar/generaUsuario.php",{rfc: rfc,correo: correo},function(data){
					$j_6("#resultados").html(data);
				});
			}
		}else{
			alert("Debe de seleccionar primero al proveedor.");
		}
		
    });
	
		
});

</script>

<br/>
<font color="gray" style="font-size: 14px"><strong>Seleccione las empresas que tendran acceso a este portal.<br/>
Tambien puede generar el usuario si aun no existe alguno asignado,<br/>
seleccionando el boton:<img src="Imagenes/addUser.png" width="24" height="24" /></strong></font><br/><br/>
<!--<form action="formularios/guardar/guardaReferenciaProv.php" name="form_rfcs" id="form_rfcs">-->
	<table class="td_general">
		<tr style="background-color: #000000">
			<th></th>
			<th><font color="white">RFC</font></th>
			<th><font color="white">NOMBRE</font></th>
			<th><font color="white">USUARIO EXISTENTE</font></th>
			<th><font color="white">Correo</font></th>
		</tr>
	<?
	if(mysqli_num_rows($result) > 0){
		while($tmp = mysqli_fetch_array($result)){
			$checked="";
			$q="select p.rfc,u.username as username from proveedores p left join usuariosweb u on p.rfc=u.rfc_cliente where p.rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' and p.rfc='".$tmp['rfcemisor']."' group by p.rfc";
			$rT = mysqli_query($conexion->CONEXION,$q);
			if(mysqli_num_rows($rT) > 0){
					$checked=" checked='true'";
			}
			
			
			
			$q2="select p.rfc,u.username as username from proveedores p left join usuariosweb u on p.rfc=u.rfc_cliente where p.rfc='".$tmp['rfcemisor']."' group by p.rfc";
			$rT2 = mysqli_query($conexion->CONEXION,$q2);
			$tUserExiste=array();
			if(mysqli_num_rows($rT2) > 0){
					$tUserExiste = mysqli_fetch_array($rT2);
					mysqli_free_result($rT2);
			}
			
			?>
		<tr style="background-color: #FFFFFF">
			<td><input class="submit_rfc" type="checkbox" name="checkRFC" id="checkRFC_<?=$tmp['rfcemisor']?>" value="<?=$tmp['rfcemisor']?>" <?=$checked?> /></td>
			<td><?=$tmp['rfcemisor']?></td>
			<td><?=$tmp['nombreemi']?></td>
			<td><center><?if(trim($tUserExiste['username']) != ""){?><img src="Imagenes/vobo.png" width="24" height="24"/><?}else{?><img class="add_user" id="add_user_<?=$tmp['rfcemisor']?>" src="Imagenes/addUser.png" width="24" height="24"/><?}?></center></td>
			<td><?if(trim($tUserExiste['username']) == ""){?><input style="font-size: 15px; border-color: #fbca93" type="text" id="correo_<?=$tmp['rfcemisor']?>"/><?}?></td>
		</tr>
	<?}
	}
	?>
	</table>
<!--</form>-->
<div id="resultados"></div>